exports

### Hierarchy

- Settings

## Index

### Constructors

- constructor

### Properties

- registry
- scanFilter
- txHelper
- w3

## Constructors

### constructor

- new Settings(scanFilter: any): Settings

- - Defined in src/app/_models/settings.ts:13

  Initialize the settings.

  #### Parameters

  - ##### scanFilter: any

    A resource for searching through blocks on the blockchain network.

  #### Returns Settings

## Properties

### registry

registry: any

- Defined in src/app/_models/settings.ts:4

CIC Registry instance

### scanFilter

scanFilter: any

- Defined in src/app/_models/settings.ts:6

A resource for searching through blocks on the blockchain network.

### txHelper

txHelper: any

- Defined in src/app/_models/settings.ts:8

Transaction Helper instance

### w3

w3: W3 = ...

- Defined in src/app/_models/settings.ts:10

Web3 Object

Generated using TypeDoc